apiVersion: v1
kind: Pod
metadata:
  annotations:
    descheduler.alpha.kubernetes.io/request-evict-only: ""
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.129.10.211/23"],"mac_address":"0a:58:0a:81:0a:d3","routes":[{"dest":"10.128.0.0/14","nextHop":"10.129.10.1"},{"dest":"100.64.0.0/16","nextHop":"10.129.10.1"}],"ip_address":"10.129.10.211/23","role":"infrastructure-locked"},"virt-migration/l2-network-migration":{"ip_addresses":["10.132.12.229/16"],"mac_address":"0a:58:0a:84:0c:e5","gateway_ips":["10.132.0.1"],"routes":[{"dest":"172.30.0.0/16","nextHop":"10.132.0.1"},{"dest":"100.65.0.0/16","nextHop":"10.132.0.1"}],"ip_address":"10.132.12.229/16","gateway_ip":"10.132.0.1","tunnel_id":8935,"role":"primary"}}'
    k8s.ovn.org/primary-udn-ipamclaim: virt-migration-0-268.primary-udn-net
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.129.10.211"
          ],
          "mac": "0a:58:0a:81:0a:d3",
          "dns": {}
      },{
          "name": "ovn-kubernetes",
          "interface": "ovn-udn1",
          "ips": [
              "10.132.12.229"
          ],
          "mac": "0a:58:0a:84:0c:e5",
          "default": true,
          "dns": {}
      }]
    kubectl.kubernetes.io/default-container: compute
    kubevirt.io/domain: virt-migration-0-268
    kubevirt.io/migrationJobName: virt-migration-0-268-migrate-vms-0-lvzvx
    kubevirt.io/migrationTransportUnix: "true"
    kubevirt.io/nonroot: "true"
    kubevirt.io/vm-generation: "1"
    openshift.io/scc: kubevirt-controller
    post.hook.backup.velero.io/command: '["/usr/bin/virt-freezer", "--unfreeze", "--name",
      "virt-migration-0-268", "--namespace", "virt-migration"]'
    post.hook.backup.velero.io/container: compute
    pre.hook.backup.velero.io/command: '["/usr/bin/virt-freezer", "--freeze", "--name",
      "virt-migration-0-268", "--namespace", "virt-migration"]'
    pre.hook.backup.velero.io/container: compute
    seccomp.security.alpha.kubernetes.io/pod: localhost/kubevirt/kubevirt.json
    security.openshift.io/validated-scc-subject-type: user
  creationTimestamp: "2025-11-12T08:46:40Z"
  generateName: virt-launcher-virt-migration-0-268-
  generation: 1
  labels:
    kube-burner-index: "2"
    kube-burner-job: create-migrating-vms
    kube-burner-runid: d4f30402-1fe6-4b80-8ca3-c624fa41d392
    kube-burner-uuid: 52bbe377-0954-454e-ba60-45e404a44c00
    kube-burner.io/job-iteration: "0"
    kube-burner.io/replica: "268"
    kubevirt.io: virt-launcher
    kubevirt.io/created-by: 12cfaf9b-e0f3-4ff2-b32e-4c755905226d
    kubevirt.io/migrationJobUID: 9e2f9c5d-4b20-419c-aa3f-6e8fa0adebcd
    kubevirt.io/nodeName: d28-h07-000-r750
    vm.kubevirt.io/name: virt-migration-0-268
  name: virt-launcher-virt-migration-0-268-mjhd4
  namespace: virt-migration
  ownerReferences:
  - apiVersion: kubevirt.io/v1
    blockOwnerDeletion: true
    controller: true
    kind: VirtualMachineInstance
    name: virt-migration-0-268
    uid: 12cfaf9b-e0f3-4ff2-b32e-4c755905226d
  resourceVersion: "206900100"
  uid: 3dc142bf-b247-4d31-b3b1-4b5f4d9cf6fa
spec:
  affinity:
    nodeAffinity:
      requiredDuringSchedulingIgnoredDuringExecution:
        nodeSelectorTerms:
        - matchExpressions:
          - key: node-labeller.kubevirt.io/obsolete-host-model
            operator: DoesNotExist
    podAntiAffinity:
      requiredDuringSchedulingIgnoredDuringExecution:
      - labelSelector:
          matchLabels:
            kubevirt.io/created-by: 12cfaf9b-e0f3-4ff2-b32e-4c755905226d
        topologyKey: kubernetes.io/hostname
  automountServiceAccountToken: false
  containers:
  - command:
    - /usr/bin/virt-launcher-monitor
    - --qemu-timeout
    - 294s
    - --name
    - virt-migration-0-268
    - --uid
    - 12cfaf9b-e0f3-4ff2-b32e-4c755905226d
    - --namespace
    - virt-migration
    - --kubevirt-share-dir
    - /var/run/kubevirt
    - --ephemeral-disk-dir
    - /var/run/kubevirt-ephemeral-disks
    - --container-disk-dir
    - /var/run/kubevirt/container-disks
    - --grace-period-seconds
    - "45"
    - --hook-sidecars
    - "0"
    - --ovmf-path
    - /usr/share/OVMF
    - --disk-memory-limit
    - "2000000000"
    - --run-as-nonroot
    env:
    - name: XDG_CACHE_HOME
      value: /var/run/kubevirt-private
    - name: XDG_CONFIG_HOME
      value: /var/run/kubevirt-private
    - name: XDG_RUNTIME_DIR
      value: /var/run
    - name: POD_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.name
    image: quay.io/openshift-cnv/container-native-virtualization-virt-launcher-rhel9@sha256:4ba9f2fc8a5b556ea530da92c8a4020cf036a0f3235f436f21de37efe050523e
    imagePullPolicy: IfNotPresent
    name: compute
    resources:
      limits:
        devices.kubevirt.io/kvm: "1"
        devices.kubevirt.io/tun: "1"
        devices.kubevirt.io/vhost-net: "1"
      requests:
        cpu: 100m
        devices.kubevirt.io/kvm: "1"
        devices.kubevirt.io/tun: "1"
        devices.kubevirt.io/vhost-net: "1"
        ephemeral-storage: 50M
        memory: 781Mi
    securityContext:
      allowPrivilegeEscalation: false
      capabilities:
        add:
        - NET_BIND_SERVICE
        drop:
        - ALL
      privileged: false
      runAsGroup: 107
      runAsNonRoot: true
      runAsUser: 107
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: FallbackToLogsOnError
    volumeDevices:
    - devicePath: /dev/rootdisk
      name: rootdisk
    - devicePath: /dev/data-1
      name: data-1
    volumeMounts:
    - mountPath: /var/run/kubevirt-private
      name: private
    - mountPath: /var/run/kubevirt
